@import "colors.scss";

html,
body {
    height: 100%;
}

body {
    background-color: $background;
}

.pointer {
    cursor: pointer;
}

.uppercase {
    text-transform: uppercase;
}

.icon {
    min-width: 24px;
    width: 24px;
    height: 24px;
    &:last-child {
        margin: 0 !important;
    }
}
.icon--white {
    color: $white !important;
}
.pointer {
    cursor: pointer;
}

.bold {
    font-weight: bold;
}

.f-1 {
    flex: 1;
}
.f-2 {
    flex: 2;
}
.f-3 {
    flex: 3;
}
.fileover {
    animation: shake 1s;
    animation-iteration-count: infinite;
  }
/* Shake animation */
@keyframes shake {
    0% {
      transform: translate(1px, 0.5px) rotate(0deg);
    }
  
    10% {
      transform: translate(-0.5px, -1px) rotate(-0.5deg);
    }
  
    20% {
      transform: translate(-0.5px, 0px) rotate(0.5deg);
    }
  
    30% {
      transform: translate(1px, 2px) rotate(0deg);
    }
  
    40% {
      transform: translate(1px, -0.5px) rotate(0.5deg);
    }
  
    50% {
      transform: translate(-1px, 1px) rotate(-0.5deg);
    }
  
    60% {
      transform: translate(-1px, 1px) rotate(0deg);
    }
  
    70% {
      transform: translate(1px, 1px) rotate(-0.5deg);
    }
  
    80% {
      transform: translate(-1px, -0.5px) rotate(0.5deg);
    }
  
    90% {
      transform: translate(1px, 0.5px) rotate(0deg);
    }
  
    100% {
      transform: translate(1px, -1px) rotate(-0.5deg);
    }
  }

.mt-70 {
    margin-top: 70px
}

* {
    ::-webkit-scrollbar {
        display: none;
    }
    &:focus {
        outline: none !important;
    }
}
